import {
	WeaTools
} from 'ecCom'

export const getHasRight = (params) => {
	return WeaTools.callApi('/api/kq/leaverules/getHasRight', 'GET', params);
}

export const getRightMenu = (params) => {
	return WeaTools.callApi('/api/kq/leaverules/getRightMenu', 'GET', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/kq/leaverules/getSearchCondition', 'GET', params);
}

export const getSearchList = (params) => {
	return WeaTools.callApi('/api/kq/leaverules/getSearchList', 'GET', params);
}

export const getLeaveRulesForm = (params) => {
	return WeaTools.callApi('/api/kq/leaverules/getLeaveRulesForm', 'GET', params);
}

export const addLeaveRules = (params) => {
	return WeaTools.callApi('/api/kq/leaverules/addLeaveRules', 'POST', params);
}

export const editLeaveRules = (params) => {
	return WeaTools.callApi('/api/kq/leaverules/editLeaveRules', 'POST', params);
}

export const deleteLeaveRules = (params) => {
	return WeaTools.callApi('/api/kq/leaverules/deleteLeaveRules', 'POST', params);
}

export const getSyncSettingForm = (params) => {
	return WeaTools.callApi('/api/kq/leaverules/getSyncSettingForm', 'GET', params);
}

export const saveSyncSetting = (params) => {
	return WeaTools.callApi('/api/kq/leaverules/saveSyncSetting', 'POST', params);
}

export const isNameRepeat = (params) => {
	return WeaTools.callApi('/api/kq/leaverules/isNameRepeat', 'GET', params);
}

export const saveDisableLeaveRules = (params) => {
	return WeaTools.callApi('/api/kq/leaverules/saveDisableLeaveRules', 'POST', params);
}

export const getUnitName = (params) => {
	return WeaTools.callApi('/api/kq/leaverules/getUnitName', 'GET', params);
}